<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>discover: discover_sysdep_data Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.2 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="dirs.html">Directories</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="globals.html">Globals</a></div>
<h1>discover_sysdep_data Struct Reference</h1><code>#include &lt;<a class="el" href="sysdep_8h-source.html">sysdep.h</a>&gt;</code>
<p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdiscover__sysdep__data.html#o0">busclass</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdiscover__sysdep__data.html#o1">vendor</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdiscover__sysdep__data.html#o2">model</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structdiscover__sysdep__device__data.html">discover_sysdep_device_data_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdiscover__sysdep__data.html#o3">data</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structdiscover__sysdep__data.html">discover_sysdep_data</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdiscover__sysdep__data.html#o4">next</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Linked list node, used to return hardware-identification information discovered by the system-dependent interface 
<p>

<p>
Definition at line <a class="el" href="sysdep_8h-source.html#l00056">56</a> of file <a class="el" href="sysdep_8h-source.html">sysdep.h</a>.<hr><h2>Field Documentation</h2>
<a class="anchor" name="o0" doxytag="discover_sysdep_data::busclass"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">char* <a class="el" href="structdiscover__sysdep__data.html#o0">discover_sysdep_data::busclass</a>          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
String describing the general device class 
<p>
Definition at line <a class="el" href="sysdep_8h-source.html#l00058">58</a> of file <a class="el" href="sysdep_8h-source.html">sysdep.h</a>.
<p>
Referenced by <a class="el" href="sysdep_8c-source.html#l00092">_discover_free_sysdep_data()</a>, and <a class="el" href="sysdep_8c-source.html#l00066">_discover_sysdep_data_new()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="o3" doxytag="discover_sysdep_data::data"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"><a class="el" href="structdiscover__sysdep__device__data.html">discover_sysdep_device_data_t</a>* <a class="el" href="structdiscover__sysdep__data.html#o3">discover_sysdep_data::data</a>          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Pointer to any sysdep/device specific data to be returned 
<p>
Definition at line <a class="el" href="sysdep_8h-source.html#l00064">64</a> of file <a class="el" href="sysdep_8h-source.html">sysdep.h</a>.
<p>
Referenced by <a class="el" href="sysdep_8c-source.html#l00092">_discover_free_sysdep_data()</a>, and <a class="el" href="sysdep_8c-source.html#l00066">_discover_sysdep_data_new()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="o2" doxytag="discover_sysdep_data::model"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">char* <a class="el" href="structdiscover__sysdep__data.html#o2">discover_sysdep_data::model</a>          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
String identifying the model 
<p>
Definition at line <a class="el" href="sysdep_8h-source.html#l00062">62</a> of file <a class="el" href="sysdep_8h-source.html">sysdep.h</a>.
<p>
Referenced by <a class="el" href="sysdep_8c-source.html#l00092">_discover_free_sysdep_data()</a>, and <a class="el" href="sysdep_8c-source.html#l00066">_discover_sysdep_data_new()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="o4" doxytag="discover_sysdep_data::next"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">struct <a class="el" href="structdiscover__sysdep__data.html">discover_sysdep_data</a>* <a class="el" href="structdiscover__sysdep__data.html#o4">discover_sysdep_data::next</a>          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Pointer to the next hardware device discovered 
<p>
Definition at line <a class="el" href="sysdep_8h-source.html#l00066">66</a> of file <a class="el" href="sysdep_8h-source.html">sysdep.h</a>.
<p>
Referenced by <a class="el" href="sysdep_8c-source.html#l00092">_discover_free_sysdep_data()</a>, and <a class="el" href="sysdep_8c-source.html#l00066">_discover_sysdep_data_new()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="o1" doxytag="discover_sysdep_data::vendor"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">char* <a class="el" href="structdiscover__sysdep__data.html#o1">discover_sysdep_data::vendor</a>          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
String describing the manufacturer or distributor 
<p>
Definition at line <a class="el" href="sysdep_8h-source.html#l00060">60</a> of file <a class="el" href="sysdep_8h-source.html">sysdep.h</a>.
<p>
Referenced by <a class="el" href="sysdep_8c-source.html#l00092">_discover_free_sysdep_data()</a>, and <a class="el" href="sysdep_8c-source.html#l00066">_discover_sysdep_data_new()</a>.    </td>
  </tr>
</table>
<hr>The documentation for this struct was generated from the following file:<ul>
<li>/home/pere/src/debiancvs/pkg-discover/discover/trunk/include/discover/<a class="el" href="sysdep_8h-source.html">sysdep.h</a></ul>
<hr size="1"><address style="align: right;"><small>Generated on Thu Jul 28 03:38:01 2005 for discover by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.2 </small></address>
</body>
</html>
